﻿//---------------------------------------------------------------------------------------
// Copyright (c) 2001-2014 by PDFTron Systems Inc. All Rights Reserved.
// Consult legal.txt regarding legal and license information.
//---------------------------------------------------------------------------------------
 
using System;
using pdftron;
using pdftron.Common;
using pdftron.Filters;
using pdftron.SDF;
using pdftron.PDF;
 
namespace ContentReplacerTestCS
{
    /// <summary>
    //-----------------------------------------------------------------------------------------
    // The sample code illustrates how to use the ContentReplacer class to make using 
    // 'template' pdf documents easier.
    //-----------------------------------------------------------------------------------------
    /// </summary>
    class ContentReplacerTest
    {
            
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            PDFNet.Initialize("His Will Inc.(hiswill.co.kr):ENTCPU:1::W:AMS(20150604):CC7F86933C9F6C8CE7CEB9BFC60DD2EC0BDB1CE4C2C76C5007549ABEF5C7");
 
            // Relative path to the folder containing test files.
            string input_file = "testdata.pdf";
            string output_file = "testdata_out.pdf";
 
 
            // The following example illustrates how to replace an image in a certain region,
            // and how to change template text.
            try
            {
                Console.WriteLine("Opening the input file...");
                using (PDFDoc doc = new PDFDoc(input_file))
                using (ContentReplacer replacer = new ContentReplacer())
                {
                    doc.InitSecurityHandler();
 
                    Page page = doc.GetPage(1);
                    // next, replace the text place holders on the second page
                    replacer.AddString("지효", "신우진");
                    // finally, apply
                    replacer.Process(page);
 
                    doc.Save(output_file, 0);
                    Console.WriteLine("Done. Result saved in BusinessCard.pdf");
                }
            }
            catch (PDFNetException e)
            {
                Console.WriteLine(e.Message);
            }
 
 
            // The following example illustrates how to replace text in a given region
            //try
            //{
            //    using (PDFDoc doc = new PDFDoc(input_file + "newsletter.pdf"))
            //    using (ContentReplacer replacer = new ContentReplacer())
            //    {
            //        doc.InitSecurityHandler();
 
            //        Page page = doc.GetPage(1);
            //        Rect target_region = page.GetMediaBox();
            //        string replacement_text = "hello hello hello hello hello hello hello hello hello hello";
            //        replacer.AddText(target_region, replacement_text);
            //        replacer.Process(page);
 
            //        doc.Save(output_file + "ContentReplaced.pdf", 0);
            //        Console.WriteLine("Done. Result saved in ContentReplaced.pdf");
            //    }
            //}
            //catch (PDFNetException e)
            //{
            //    Console.WriteLine(e.Message);
            //}
 
            Console.WriteLine("Done.");
        }
    }
}